org.gcube.dataanalysis.dataminer.poolmanager.process

## Class AlgorithmPackageParser

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.process.AlgorithmPackageParser

    public class AlgorithmPackageParser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AlgorithmPackageParser()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(String[] args)`
`Algorithm` `parsePackage(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlgorithmPackageParser

    public AlgorithmPackageParser()

### Method Detail

#### parsePackage

    public Algorithm parsePackage(String url)
                           throws IOException

Throws:
  `IOException`

#### main

    public static void main(String[] args)